org.apache.ignite.internal.processors.timeout

## Class GridTimeoutProcessor.CancelableTask

- java.lang.Object
- - org.apache.ignite.internal.processors.timeout.GridTimeoutProcessor.CancelableTask

All Implemented Interfaces:
  Closeable, AutoCloseable, GridTimeoutObject

Enclosing class:
  GridTimeoutProcessor

    public class GridTimeoutProcessor.CancelableTask
    extends Object
    implements GridTimeoutObject, Closeable

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`long` `endTime()`
`void` `onTimeout()` Timeout callback.
`IgniteUuid` `timeoutId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### timeoutId

    public IgniteUuid timeoutId()

Specified by:
  `timeoutId` in interface `GridTimeoutObject`
Returns:
  ID of the object.

#### endTime

    public long endTime()

Specified by:
  `endTime` in interface `GridTimeoutObject`
Returns:
  End time.

#### onTimeout

    public void onTimeout()

Timeout callback.

Specified by:
  `onTimeout` in interface `GridTimeoutObject`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021